HibernateTraversableResolver (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.beanvalidation
Class HibernateTraversableResolver

    java.lang.Object
      org.hibernate.cfg.beanvalidation.HibernateTraversableResolver

All Implemented Interfaces:
  TraversableResolver

    public class HibernateTraversableResolver

extends Object
implements TraversableResolver

Use Hibernate metadata to ignore cascade on entities. cascade on embeddable objects or collection of embeddable objects are accepted Also use Hibernate's native isInitialized method call.

Constructor Summary
`HibernateTraversableResolver(EntityPersister persister, ConcurrentHashMap<EntityPersister,Set<String>> associationsPerEntityPersister, SessionFactoryImplementor factory)`

Method Summary
`boolean` | `isCascadable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)`
`boolean` | `isReachable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateTraversableResolver

    public HibernateTraversableResolver(EntityPersister persister,
                                        ConcurrentHashMap<EntityPersister,Set<String>> associationsPerEntityPersister,
                                        SessionFactoryImplementor factory)

Method Detail

### isReachable

    public boolean isReachable(Object traversableObject,
                               Path.Node traversableProperty,
                               Class<?> rootBeanType,
                               Path pathToTraversableObject,
                               ElementType elementType)

  Specified by:
    `isReachable` in interface `TraversableResolver`

### isCascadable

    public boolean isCascadable(Object traversableObject,
                                Path.Node traversableProperty,
                                Class<?> rootBeanType,
                                Path pathToTraversableObject,
                                ElementType elementType)

  Specified by:
    `isCascadable` in interface `TraversableResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.